/*

  This file is a part of GRALE, a library to facilitate the simulation
  and inversion of gravitational lenses.

  Copyright (C) 2008-2012 Jori Liesenborgs

  Contact: jori.liesenborgs@gmail.com
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/

#ifndef CONSTANTS_H

#define CONSTANTS_H

#define MASS_SOLAR					(1.98892e30)
#define DIST_PC						(3.08568025e16)
#define DIST_KPC					(1000.0*DIST_PC)
#define DIST_MPC					(1000.0*DIST_KPC)
#define DIST_GPC					(1000.0*DIST_MPC)
#define SPEED_C						(299792458.0)
#define CONST_G						(6.67300e-11)
#define CONST_PI					(3.14159265)
#define ANGLE_DEGREE					(CONST_PI/180.0)
#define ANGLE_ARCMIN					(ANGLE_DEGREE/60.0)
#define ANGLE_ARCSEC					(ANGLE_ARCMIN/60.0)
#define ANGLE_MILLIARCSEC				(ANGLE_ARCSEC/1000.0)
#define ANGLE_MICROARCSEC				(ANGLE_MILLIARCSEC/1000.0)

#endif // CONSTANTS_H

